import sys,importlib
import requests
from urllib import parse
import json
import html

if len(sys.argv)!= 5:
    print(len(sys.argv))
    print("命令行参数长度不为5")
    sys.exit()
else:
    LabelCookie = parse.unquote(sys.argv[1])
    LabelUrl = parse.unquote(sys.argv[2])
    #PageType为List,Content,Pages分别代表列表页，内容页，多页http请求处理，Save代表内容处理
    PageType=sys.argv[3]
    SerializerStr = parse.unquote(sys.argv[4])
    if (SerializerStr[0:2] != '''{"'''):
        file_object = open(SerializerStr)
        try:
            SerializerStr = file_object.read()
            SerializerStr = parse.unquote(SerializerStr)
        finally:
            file_object.close()
    LabelArray = json.loads(SerializerStr)

#以下是用户编写代码区域



def chat_with_api(api_key, model, messages, temperature=1, top_p=1, n=1, stop=None):
    #base_url = "https://api.vast123.com/v1/chat/completions"
    base_url = "https://openai.1rmb.tk/v1/chat/completions"


    headers = {"Content-Type": "application/json", "Authorization": f"Bearer {api_key}"}

    data = {
        "model": model,
        "messages": messages,
        "temperature": temperature,
        "top_p": top_p,
        "n": n,
    }

    if stop is not None:
        data["stop"] = stop

    response = requests.post(base_url, headers=headers, data=json.dumps(data))

    if response.status_code == 200:
        return response.json()
    else:
        raise Exception(f"Error {response.status_code}: {response.text}")



# Example usage
YOUR_API_KEY =  "【你自己的key】"


messages = [
    {"role": "system", "content":"【面具】"},
    {"role": "user", "content": LabelArray['AI2']},
]

response = chat_with_api(
   YOUR_API_KEY, "gpt-3.5-turbo", messages
)


# 将python对象转换为JSON字符串response
response2 = json.dumps(response)
response_dict = json.loads(response2)
response3 = response_dict['choices'][0]['message']['content']
response3 = html.unescape(response3)
LabelArray['AI3'] = response3
LabelArray = json.dumps(LabelArray)
print(LabelArray)
